Loading...
Searching...
No Matches
L4virtio::Svr::Virtio_gpio< Request_handler, Epiface >::Irq_handler Struct Reference

Handler for an gpio pin irq. More...

`#include <virtio-gpio-device>`

Collaboration diagram for L4virtio::Svr::Virtio_gpio< Request_handler, Epiface >::Irq_handler:

## Detailed Description

template<typename Request_handler, typename Epiface = L4virtio::Device>
struct L4virtio::Svr::Virtio_gpio< Request_handler, Epiface >::Irq_handler

Handler for an gpio pin irq.

This notifies the virtio client that an gpio pin irq happened or the operation was canceled.

This needs to be called by any server implementation of the Virtio_gpio class, after an irq was enabled with the enable method of the Gpio_request_handler.

Definition at line 166 of file virtio-gpio-device.

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio-gpio-device